<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_WarningDetails StructType
 * @subpackage Structs
 */
class JP_WarningDetails extends AbstractStructBase
{
    /**
     * The Dates
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_WarningDate
     */
    public $Dates;
    /**
     * The DestinationZones
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString11
     */
    public $DestinationZones;
    /**
     * The HotelCodes
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString9
     */
    public $HotelCodes;
    /**
     * The Distributions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_WarningDistribution
     */
    public $Distributions;
    /**
     * Constructor method for JP_WarningDetails
     * @uses JP_WarningDetails::setDates()
     * @uses JP_WarningDetails::setDestinationZones()
     * @uses JP_WarningDetails::setHotelCodes()
     * @uses JP_WarningDetails::setDistributions()
     * @param \ArrayType\ArrayOfJP_WarningDate $dates
     * @param \ArrayType\ArrayOfString11 $destinationZones
     * @param \ArrayType\ArrayOfString9 $hotelCodes
     * @param \ArrayType\ArrayOfJP_WarningDistribution $distributions
     */
    public function __construct(\ArrayType\ArrayOfJP_WarningDate $dates = null, \ArrayType\ArrayOfString11 $destinationZones = null, \ArrayType\ArrayOfString9 $hotelCodes = null, \ArrayType\ArrayOfJP_WarningDistribution $distributions = null)
    {
        $this
            ->setDates($dates)
            ->setDestinationZones($destinationZones)
            ->setHotelCodes($hotelCodes)
            ->setDistributions($distributions);
    }
    /**
     * Get Dates value
     * @return \ArrayType\ArrayOfJP_WarningDate|null
     */
    public function getDates()
    {
        return $this->Dates;
    }
    /**
     * Set Dates value
     * @param \ArrayType\ArrayOfJP_WarningDate $dates
     * @return \StructType\JP_WarningDetails
     */
    public function setDates(\ArrayType\ArrayOfJP_WarningDate $dates = null)
    {
        $this->Dates = $dates;
        return $this;
    }
    /**
     * Get DestinationZones value
     * @return \ArrayType\ArrayOfString11|null
     */
    public function getDestinationZones()
    {
        return $this->DestinationZones;
    }
    /**
     * Set DestinationZones value
     * @param \ArrayType\ArrayOfString11 $destinationZones
     * @return \StructType\JP_WarningDetails
     */
    public function setDestinationZones(\ArrayType\ArrayOfString11 $destinationZones = null)
    {
        $this->DestinationZones = $destinationZones;
        return $this;
    }
    /**
     * Get HotelCodes value
     * @return \ArrayType\ArrayOfString9|null
     */
    public function getHotelCodes()
    {
        return $this->HotelCodes;
    }
    /**
     * Set HotelCodes value
     * @param \ArrayType\ArrayOfString9 $hotelCodes
     * @return \StructType\JP_WarningDetails
     */
    public function setHotelCodes(\ArrayType\ArrayOfString9 $hotelCodes = null)
    {
        $this->HotelCodes = $hotelCodes;
        return $this;
    }
    /**
     * Get Distributions value
     * @return \ArrayType\ArrayOfJP_WarningDistribution|null
     */
    public function getDistributions()
    {
        return $this->Distributions;
    }
    /**
     * Set Distributions value
     * @param \ArrayType\ArrayOfJP_WarningDistribution $distributions
     * @return \StructType\JP_WarningDetails
     */
    public function setDistributions(\ArrayType\ArrayOfJP_WarningDistribution $distributions = null)
    {
        $this->Distributions = $distributions;
        return $this;
    }
}
